Prerequisites for Upgrading to VMM

 

Updated: May 13, 2016

Applies To: System Center 2012 - Virtual Machine Manager

This topic provides information about the software requirements for upgrading to System Center 2012 – Virtual Machine Manager (VMM). For detailed information about hardware and operating system requirements for System Center 2012 – Virtual Machine Manager, see System Requirements: VMM 2012 and VMM 2012 SP1.

SoftwareSupported versionAdditional information
Virtual Machine ManagerVMM 2008 R2 SP1- The following are not supported: Upgrading from System Center 2012 – Virtual Machine Manager Release Candidate, System Center 2012 – Virtual Machine Manager Beta, VMM 2008 R2, VMM 2008, or VMM 2007.
- For information about upgrading to VMM 2008 R2 SP1, see Upgrading to VMM 2008 R2 Service Pack 1 from VMM 2008 R2.
Microsoft Windows ServerWindows Server 2008 R2- The VMM management server is only supported on a computer that is running Windows Server 2008 R2.
- For information about specific editions and service packs of Windows Server 2008 R2 that are supported, see System Requirements: VMM Management Server in System Center 2012 and in System Center 2012 SP1.
- If your VMM server for VMM 2008 R2 SP1 is installed on Windows Server 2008 SP2, you must upgrade the operating system before you can begin an in-place upgrade to System Center 2012 – Virtual Machine Manager.
- For information about upgrading to Windows Server 2008 R2, see Guide for Upgrading to Windows Server 2008 R2.
Microsoft SQL ServerSQL Server 2008 R2 or SQL Server 2008- For information about specific editions and service packs of SQL Server that are supported, see System Requirements: VMM Database in System Center 2012 and in System Center 2012 SP1.
- System Center 2012 – Virtual Machine Manager does not support Express editions of SQL Server for the VMM database.
- For information about moving a VMM database to a supported version of SQL Server, see How to Move a VMM Database to Another Computer as Part of a VMM Upgrade.
SQL Server 2008 R2 Command Line UtilitiesMicrosoft SQL Server 2008 R2 Feature Pack- The SQL Server 2008 R2 Command Line Utilities are not a mandatory requirement for upgrade, but they are highly recommended.
- If the SQL Server 2008 R2 Command Line Utilities are not present on the VMM server, a warning is displayed in the prerequisites check during the upgrade process. You can proceed with the upgrade without installing these utilities, but these utilities are required to perform certain management tasks.
- To download the SQL Server 2008 R2 Command Line Utilities, see Microsoft SQL Server 2008 R2 Feature Pack.
Windows Automated Installation Kit (AIK)Windows Automated Installation Kit (AIK) for Windows 7- Previous versions of Windows AIK must be uninstalled before you can install Windows AIK for Windows 7.
- To download Windows AIK for Windows 7, see The Windows Automated Installation Kit (AIK) for Windows 7.
Microsoft .NET Framework.NET 3.5.1- Microsoft .NET 3.5.1 is included in all versions of Windows Server 2008 R2.
- System Center 2012 – Virtual Machine Manager automatically enables .NET 3.5.1 if it is not already enabled.
Windows Remote Management (WinRM)WinRM 2.0- WinRM 2.0 is included in Windows Server 2008 R2. By default, the Windows Remote Management (WS-Management) service is set to start automatically (delayed start).
- If the Windows Remote Management (WS-Management) service is not started, an error is displayed during the prerequisites check. The service must be started before the upgrade can continue.

In addition to these software requirements, see Planning Considerations for Upgrading to VMM.

Show: